GNU bug report logs - #34909
26.1; Error refreshing packages under language environment

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "E. Choroba" <choroba@HIDDEN>; dated Mon, 18 Mar 2019 21:34:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 20 Mar 2019 13:09:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 20 09:09:52 2019
Received: from localhost ([127.0.0.1]:51274 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6aye-0008FI-8p
	for submit <at> debbugs.gnu.org; Wed, 20 Mar 2019 09:09:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h6ayc-0008F4-16
 for 34909 <at> debbugs.gnu.org; Wed, 20 Mar 2019 09:09:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54859)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h6ayV-0008Vu-Bp; Wed, 20 Mar 2019 09:09:43 -0400
Received: from [176.228.60.248] (port=2271 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h6ayU-0006wt-KG; Wed, 20 Mar 2019 09:09:43 -0400
Date: Wed, 20 Mar 2019 15:09:38 +0200
Message-Id: <83tvfxsne5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <8736nhaf5a.fsf@HIDDEN> (message from Noam Postavsky on Wed,
 20 Mar 2019 08:45:05 -0400)
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 <83wokvt5d6.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
 <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
 <1160FF62-ABEA-4E36-AB69-D0BBE8959272@HIDDEN>
 <alpine.LSU.2.20.1903191644480.4023@HIDDEN>
 <8736nhaf5a.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org, choroba@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Noam Postavsky <npostavs@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  34909 <at> debbugs.gnu.org
> Date: Wed, 20 Mar 2019 08:45:05 -0400
> 
> "E. Choroba" <choroba@HIDDEN> writes:
> 
> > Sorry, I noticed the behaviour is a bit different: it still displays
> > the "Bad Signature" error, but it doesn't ask for encoding anymore. So
> > it seems your fix helped a bit, but maybe there's a similar problem in
> > the epg package?
> 
> Maybe this is Bug#33825 or Bug#25532/33045?

Could be.  But 33825 talks about something that comes and goes,
whereas this present problem doesn't seem to be going anywhere.  25532
sounds like what I fixed, while 33045 is even more strange: it happens
in en_US.UTF-8 locale, where the bug reported here didn't rear its
head...

So I'm still confused.  But thanks for bringing this up, it seems to
confirm that some other factor(s) is/are at work here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 20 Mar 2019 12:45:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 20 08:45:18 2019
Received: from localhost ([127.0.0.1]:51269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6aas-0007e0-7S
	for submit <at> debbugs.gnu.org; Wed, 20 Mar 2019 08:45:18 -0400
Received: from mail-qk1-f173.google.com ([209.85.222.173]:33751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1h6aaq-0007dl-GT
 for 34909 <at> debbugs.gnu.org; Wed, 20 Mar 2019 08:45:17 -0400
Received: by mail-qk1-f173.google.com with SMTP id k189so8722501qkc.0
 for <34909 <at> debbugs.gnu.org>; Wed, 20 Mar 2019 05:45:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=PeznrVo60eFGZXL+N/6kYXdvrM5N8Y7QJPZT4xFfGgQ=;
 b=pcrZETN4sYHFyhroxkPJWaVVyqIxdBlM9efrSy1VUINgnrZ7neoKcAB4QXI9X+roIH
 IYxWzooYGgVScNbQZzqozxk1/olEwjg6EuWlFyqpTg/zT0XN/Ljs8jZtU11/bAe6FbGP
 bITGvND7OoIXFSDf+ugPTSjFifbxAajb4u2hzljojF/UqMVFAUcXU1QPLZrM+/7WpcqO
 hfs76/RqYmawCX2O7y0HlT2FdkDG5RKs4iwiIhOzO42/y89+RlpYeG1ueYmpo+Q4kBFy
 M1K2Uvnx4u2wczlm/6ml59PrFxxRJ7+2Rt6BFpHCNWw2duY5jdaFTDGADvp75Eo7pwCR
 n6lQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=PeznrVo60eFGZXL+N/6kYXdvrM5N8Y7QJPZT4xFfGgQ=;
 b=l99R7KbwdzMb5ASEC6nHY9oayjoLOHR8bGXBHSIbXkw3bVb42dTvZNYg/PhtsR/mEW
 xcKDSFXdxJvlq5qKJgFlUoOG2FFt0ZD+kQQbxrueIvJwcDHxBGHJ+v7xAxicXbMagmCB
 8oQuS5UU5rZLZxFm4ZepjaJNLDfMnXq98Mr7IuXuB63bet2d+AaZoqvEyBzCnytbsSSm
 Xv1u16gMxVjV27ub+shhwq5nHyBs61Y9lk/ce2P1EuHAcUxnMYJ+CAusTuMpGyA/5ikB
 KrmjXU8daZFpH+mkxno3ZHWESmim/VO2M40pmSONOyUoZ/wPlyPX4Omu3AME93NmArWu
 VH9w==
X-Gm-Message-State: APjAAAXAAwcs4qjv/AbMU/4vMbOASM8QuUo0qEx5tEi8fAPaO/iwul4a
 GuivAjlJhPUFJQwqB7ntfq18cbLz
X-Google-Smtp-Source: APXvYqy0tqMhQEEhTfC+vcCmP94ptWw7h2Knm99rwvGtbWMCCdX+xO0M5A+CVQ0jKLxHUAZgPd9iFg==
X-Received: by 2002:a37:ae04:: with SMTP id x4mr6268086qke.339.1553085908618; 
 Wed, 20 Mar 2019 05:45:08 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 e9sm1271827qkj.48.2019.03.20.05.45.06
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 20 Mar 2019 05:45:07 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: "E. Choroba" <choroba@HIDDEN>
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 <83wokvt5d6.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
 <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
 <1160FF62-ABEA-4E36-AB69-D0BBE8959272@HIDDEN>
 <alpine.LSU.2.20.1903191644480.4023@HIDDEN>
Date: Wed, 20 Mar 2019 08:45:05 -0400
In-Reply-To: <alpine.LSU.2.20.1903191644480.4023@HIDDEN>
 (E. Choroba's message of "Tue, 19 Mar 2019 16:49:12 +0100 (CET)")
Message-ID: <8736nhaf5a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"E. Choroba" <choroba@HIDDEN> writes:

> Sorry, I noticed the behaviour is a bit different: it still displays
> the "Bad Signature" error, but it doesn't ask for encoding anymore. So
> it seems your fix helped a bit, but maybe there's a similar problem in
> the epg package?

Maybe this is Bug#33825 or Bug#25532/33045?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 20 Mar 2019 07:01:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 20 03:01:14 2019
Received: from localhost ([127.0.0.1]:51171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6VDt-0005Wn-Li
	for submit <at> debbugs.gnu.org; Wed, 20 Mar 2019 03:01:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h6VDs-0005WZ-1c
 for 34909 <at> debbugs.gnu.org; Wed, 20 Mar 2019 03:01:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50891)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h6VDl-0003np-09; Wed, 20 Mar 2019 03:01:05 -0400
Received: from [176.228.60.248] (port=2267 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h6VDk-0005sN-FQ; Wed, 20 Mar 2019 03:01:04 -0400
Date: Wed, 20 Mar 2019 09:00:59 +0200
Message-Id: <834l7yt4gk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: choroba@HIDDEN
In-reply-to: <83pnqmu30q.fsf@HIDDEN> (message from Eli Zaretskii on Tue, 19
 Mar 2019 20:34:29 +0200)
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 <83wokvt5d6.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
 <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
 <1160FF62-ABEA-4E36-AB69-D0BBE8959272@HIDDEN>
 <alpine.LSU.2.20.1903191644480.4023@HIDDEN>
 <83pnqmu30q.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Tue, 19 Mar 2019 20:34:29 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 34909 <at> debbugs.gnu.org
> 
> > Date: Tue, 19 Mar 2019 16:49:12 +0100 (CET)
> > From: "E. Choroba" <choroba@HIDDEN>
> > cc: bug-gnu-emacs@HIDDEN, 34909 <at> debbugs.gnu.org
> > 
> > Sorry, I noticed the behaviour is a bit different: it still displays the "Bad 
> > Signature" error, but it doesn't ask for encoding anymore. So it seems your 
> > fix helped a bit, but maybe there's a similar problem in the epg package?
> 
> Ah, okay.  Unfortunately, this doesn't happen for me, so I guess it
> either has been fixed in the epg package since 26.1 release, or has
> something to do with versions of GPG different from what is installed
> on the GNU/Linux machine where I tested the fix.

FWIW, I just installed a stock Emacs 26.1 on that machine, patched its
package.el with the change committed for this bug, and the problem
disappeared for me.  I repeated the recipe twice, both with French and
Czech language environments, and they both work fine.  So there's some
other factor at work here, and I don't know what that could be.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 20:01:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 16:01:05 2019
Received: from localhost ([127.0.0.1]:50883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6Kv2-0001hw-S4
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 16:01:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35763)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h6Kv0-0001hJ-9W
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 16:01:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57737)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h6Kur-0003q5-VG; Tue, 19 Mar 2019 16:00:54 -0400
Received: from [176.228.60.248] (port=1443 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h6Kuk-0006X8-RP; Tue, 19 Mar 2019 16:00:48 -0400
Date: Tue, 19 Mar 2019 22:00:36 +0200
Message-Id: <83h8bytz17.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-reply-to: <jwva7hqu061.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Tue, 19 Mar 2019 15:41:27 -0400)
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN> <jwvtvfyvnsf.fsf-monnier+emacs@HIDDEN>
 <83mulqu2kf.fsf@HIDDEN> <jwva7hqu061.fsf-monnier+emacs@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org, choroba@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: choroba@HIDDEN,  34909 <at> debbugs.gnu.org
> Date: Tue, 19 Mar 2019 15:41:27 -0400
> 
> > (I also don't understand why you say the buffer must be unibyte: if
> > the coding-systems for each operation are set correctly, there should
> > be no difference at all, not nowadays.  IME, using unibyte buffers is
> > just the easy way out when one doesn't want to mess with the
> > coding-systems stuff.)
> 
> Of course, when dealing with data we only transfer from network to file,
> using unibyte (or more specifically: without decoding nor encoding) is
> simply more efficient, but it's also safer: Encoding using utf-8 is only
> safe if the decoding was itself done using the same coding system and
> I don't see where we do that, so it's not clear that it's always decoded
> with utf-8.

Did you also look in url-*.el stuff, which package.el invokes?

My motivation to use UTF-8 instead of making the buffer unibyte was
that select-safe-coding-system popped up a buffer which clearly showed
characters, not raw bytes, and it offered to select UTF-8, not
raw-text.  This can mean only one thing: that text in the buffer is
already correctly represented, and the problem was with an attempt to
encode it using a coding-system which cannot handle some of the text
(specifically, Chinese characters and a few Latin characters not
supported by ISO 8859-2).

> > Feel free to work on package--with-response-buffer in this direction.
> > Debugging this was a small nightmare, due to the use of macros and
> > async retrieval with callbacks, so I felt lucky when I finally found
> > the problematic code and understood why it worked in the English
> > language environment.
> 
> "nightmare" is very appropriate, indeed.

I will just add that the wider becomes our use of sophisticated Lisp
techniques in core packages, the harder it will be to debug our own
code.  I really wish someone would start some serious work on
expanding our debugging facilities and making them adequate for
debugging the kind of code we see in package.el.  'Nough said.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 19:41:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 15:41:36 2019
Received: from localhost ([127.0.0.1]:50879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6KcC-0001D4-6T
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 15:41:36 -0400
Received: from mail01.iro.umontreal.ca ([132.204.25.201]:56852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1h6KcA-0001Cp-Kc
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 15:41:34 -0400
Received: from mail01.iro.umontreal.ca (mail01.iro.umontreal.ca [127.0.0.1])
 by mail01.iro.umontreal.ca (Postfix) with ESMTP id 5E41680C135F
 for <34909 <at> debbugs.gnu.org>; Tue, 19 Mar 2019 15:41:29 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 h=content-type:content-type:mime-version:user-agent:in-reply-to
 :date:date:references:message-id:subject:subject:to:from:from;
 s=dkim; t=1553024488; x=1553888489; bh=qny2ntYcOnXtobXE8xyq1xzM
 E/dojsBIRPIwMVtmxv4=; b=eE3lmhe2DM2yT/7EGuSfNI8j7Luk6umYTbutdcWr
 Tkrsqnlk2EI8MGYMYwroFKUXmaLQ5ypYsf/5amzBAAz7q1LaOydCpZakmj057bEj
 JhidJC1oWpKxdG4aFW0HfpmeqV2GsSL6pVX9WW2epRKJeiklFen8xj7eRuy2LHQU
 J/8ljB1xavTEsEL0RfEny6onlWT4bCnAnSZwO/Xv1BULdVM2oYfVp8DXasqmmP0N
 5ldQOxLaDXoM5p39a+wGUOF9JQ3A2Ofi3DC+RgMx7YvQcMcp46vZdkzHhPHxAJX8
 Su4Q56GHV6evpR6UtY/tFou4+/+TZeWyeqrALLZ1BdycWA==
X-Virus-Scanned: amavisd-new at iro.umontreal.ca
Received: from mail01.iro.umontreal.ca ([127.0.0.1])
 by mail01.iro.umontreal.ca (mail01.iro.umontreal.ca [127.0.0.1]) (amavisd-new,
 port 10024) with ESMTP id uJucDpov2Yk8 for <34909 <at> debbugs.gnu.org>;
 Tue, 19 Mar 2019 15:41:28 -0400 (EDT)
Received: from pastel (unknown [45.72.243.91])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 539C680C1346;
 Tue, 19 Mar 2019 15:41:28 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
Message-ID: <jwva7hqu061.fsf-monnier+emacs@HIDDEN>
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN> <jwvtvfyvnsf.fsf-monnier+emacs@HIDDEN>
 <83mulqu2kf.fsf@HIDDEN>
Date: Tue, 19 Mar 2019 15:41:27 -0400
In-Reply-To: <83mulqu2kf.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 19 Mar
 2019 20:44:16 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org, choroba@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> (I also don't understand why you say the buffer must be unibyte: if
> the coding-systems for each operation are set correctly, there should
> be no difference at all, not nowadays.  IME, using unibyte buffers is
> just the easy way out when one doesn't want to mess with the
> coding-systems stuff.)

Of course, when dealing with data we only transfer from network to file,
using unibyte (or more specifically: without decoding nor encoding) is
simply more efficient, but it's also safer: Encoding using utf-8 is only
safe if the decoding was itself done using the same coding system and
I don't see where we do that, so it's not clear that it's always decoded
with utf-8.

> Feel free to work on package--with-response-buffer in this direction.
> Debugging this was a small nightmare, due to the use of macros and
> async retrieval with callbacks, so I felt lucky when I finally found
> the problematic code and understood why it worked in the English
> language environment.

"nightmare" is very appropriate, indeed.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 18:44:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 14:44:51 2019
Received: from localhost ([127.0.0.1]:50856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6JjG-0008Bg-81
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 14:44:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h6JjE-0008BQ-6u
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 14:44:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34087)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h6Jj5-0004vp-UP; Tue, 19 Mar 2019 14:44:40 -0400
Received: from [176.228.60.248] (port=4637 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h6Jj1-0004Id-1o; Tue, 19 Mar 2019 14:44:39 -0400
Date: Tue, 19 Mar 2019 20:44:16 +0200
Message-Id: <83mulqu2kf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-reply-to: <jwvtvfyvnsf.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Tue, 19 Mar 2019 12:27:24 -0400)
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN> <jwvtvfyvnsf.fsf-monnier+emacs@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org, choroba@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: "E. Choroba" <choroba@HIDDEN>,  34909 <at> debbugs.gnu.org
> Date: Tue, 19 Mar 2019 12:27:24 -0400
> 
> > -            (progn (write-region content nil local-file nil 'silent)
> > +            (progn (let ((coding-system-for-write 'utf-8))
> > +                     (write-region content nil local-file nil 'silent))
> 
> This is probably safe, but I think the buffer should be unibyte

It isn't unibyte because no one makes it unibyte.  package.el uses
temporary buffers with no special settings, so everything is basically
determined by user locale's defaults.

> and if it isn't I think it indicates a bug elsewhere (likely in
> package--with-response-buffer tho its use in describe-package-1
> might prefer a decoded (aka multibyte) result).

Feel free to work on package--with-response-buffer in this direction.
Debugging this was a small nightmare, due to the use of macros and
async retrieval with callbacks, so I felt lucky when I finally found
the problematic code and understood why it worked in the English
language environment.  I don't feel I know enough about package.el to
make more significant changes, sorry, and as you point out, it is used
in several places in several different ways.

(I also don't understand why you say the buffer must be unibyte: if
the coding-systems for each operation are set correctly, there should
be no difference at all, not nowadays.  IME, using unibyte buffers is
just the easy way out when one doesn't want to mess with the
coding-systems stuff.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 18:34:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 14:34:54 2019
Received: from localhost ([127.0.0.1]:50852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6JZe-0007ww-7h
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 14:34:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h6JZc-0007wi-By
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 14:34:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59184)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h6JZU-00017g-My; Tue, 19 Mar 2019 14:34:45 -0400
Received: from [176.228.60.248] (port=4040 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h6JZT-0001TU-3E; Tue, 19 Mar 2019 14:34:44 -0400
Date: Tue, 19 Mar 2019 20:34:29 +0200
Message-Id: <83pnqmu30q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "E. Choroba" <choroba@HIDDEN>
In-reply-to: <alpine.LSU.2.20.1903191644480.4023@HIDDEN>
 (choroba@HIDDEN)
Subject: Re: bug#34909: 26.1; Error refreshing packages under language
 environment
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 <83wokvt5d6.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
 <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
 <1160FF62-ABEA-4E36-AB69-D0BBE8959272@HIDDEN>
 <alpine.LSU.2.20.1903191644480.4023@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Tue, 19 Mar 2019 16:49:12 +0100 (CET)
> From: "E. Choroba" <choroba@HIDDEN>
> cc: bug-gnu-emacs@HIDDEN, 34909 <at> debbugs.gnu.org
> 
> Sorry, I noticed the behaviour is a bit different: it still displays the "Bad 
> Signature" error, but it doesn't ask for encoding anymore. So it seems your 
> fix helped a bit, but maybe there's a similar problem in the epg package?

Ah, okay.  Unfortunately, this doesn't happen for me, so I guess it
either has been fixed in the epg package since 26.1 release, or has
something to do with versions of GPG different from what is installed
on the GNU/Linux machine where I tested the fix.

If someone can reproduce this with the current release branch, please
follow up with the details.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 16:27:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 12:27:34 2019
Received: from localhost ([127.0.0.1]:50810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6HaP-0002vK-TC
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 12:27:34 -0400
Received: from mail01.iro.umontreal.ca ([132.204.25.201]:55004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1h6HaN-0002v8-MZ
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 12:27:32 -0400
Received: from mail01.iro.umontreal.ca (mail01.iro.umontreal.ca [127.0.0.1])
 by mail01.iro.umontreal.ca (Postfix) with ESMTP id 7713880B7DDC
 for <34909 <at> debbugs.gnu.org>; Tue, 19 Mar 2019 12:27:26 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 h=content-type:content-type:mime-version:user-agent:in-reply-to
 :date:date:references:message-id:subject:subject:to:from:from;
 s=dkim; t=1553012845; x=1553876846; bh=/MpVJ1JC2soI3eACNx5Ac04Y
 8G1c8u+0zaj8G7Y6J2c=; b=Ml+/WkXGq1N0HshA4ZfmZ1BmC+rBUr+EWzzmH+l7
 bd9dxjOuJFCvv2I0+DkXFITJJWOTSpsqFKQwdliflf9qPyq1VlTDGqzmwSv39jnX
 VIN1McBydR7ze1h+QY9rnGxMn5Qpy65nmOu3oEtA7EG2qea+zRwBDX0Dkh+p99KP
 YeqHGxWih0YTzWztd0EV/WmUE5h+Gu0vBHyo87kV2+7WShu+4/DRF1gDogC2nmTc
 lb/pqwTruO+haVJ10Iidja7E2q/aesVOwWJ7TRsBiIrLWXHebU77wCSy4wm4QIoK
 eojQYXj5nH1XuonAZ+vt9v3dI7gc+Z0W7BTnSViJYdSVwQ==
X-Virus-Scanned: amavisd-new at iro.umontreal.ca
Received: from mail01.iro.umontreal.ca ([127.0.0.1])
 by mail01.iro.umontreal.ca (mail01.iro.umontreal.ca [127.0.0.1]) (amavisd-new,
 port 10024) with ESMTP id SlK1ZXpT8ihd for <34909 <at> debbugs.gnu.org>;
 Tue, 19 Mar 2019 12:27:25 -0400 (EDT)
Received: from pastel (unknown [45.72.243.91])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 08B6E80B7DC1;
 Tue, 19 Mar 2019 12:27:25 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
Message-ID: <jwvtvfyvnsf.fsf-monnier+emacs@HIDDEN>
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
Date: Tue, 19 Mar 2019 12:27:24 -0400
In-Reply-To: <83zhprt8eo.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 19 Mar
 2019 13:23:27 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org, "E. Choroba" <choroba@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> -            (progn (write-region content nil local-file nil 'silent)
> +            (progn (let ((coding-system-for-write 'utf-8))
> +                     (write-region content nil local-file nil 'silent))

This is probably safe, but I think the buffer should be unibyte and if
it isn't I think it indicates a bug elsewhere (likely in
package--with-response-buffer tho its use in describe-package-1 might
prefer a decoded (aka multibyte) result).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 15:49:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 11:49:21 2019
Received: from localhost ([127.0.0.1]:50787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6GzQ-0008OP-Sf
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 11:49:21 -0400
Received: from ufal-mail.mff.cuni.cz ([195.113.20.158]:46234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <choroba@HIDDEN>) id 1h6GzO-0008OA-RJ
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 11:49:19 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTP id 1041A40140E;
 Tue, 19 Mar 2019 16:49:13 +0100 (CET)
Received: from ufal-mail.mff.cuni.cz ([127.0.0.1])
 by localhost (ufal-mail.mff.cuni.cz [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 3ehLu11xxhJi; Tue, 19 Mar 2019 16:49:13 +0100 (CET)
Received: from localhost (localhost.localdomain [127.0.0.1])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTP id E704D401044;
 Tue, 19 Mar 2019 16:49:12 +0100 (CET)
X-Virus-Scanned: amavisd-new at ufal.mff.cuni.cz
Received: from ufal-mail.mff.cuni.cz ([127.0.0.1])
 by localhost (ufal-mail.mff.cuni.cz [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id DIxLebZB1Mow; Tue, 19 Mar 2019 16:49:12 +0100 (CET)
Received: from [10.151.2.119] (gw-prague.gooddata.com [212.47.19.46])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTPSA id C6F9D4010DF;
 Tue, 19 Mar 2019 16:49:12 +0100 (CET)
Date: Tue, 19 Mar 2019 16:49:12 +0100 (CET)
From: "E. Choroba" <choroba@HIDDEN>
X-X-Sender: jan.stepanek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34909: 26.1; Error refreshing packages under language
 environment
In-Reply-To: <1160FF62-ABEA-4E36-AB69-D0BBE8959272@HIDDEN>
Message-ID: <alpine.LSU.2.20.1903191644480.4023@HIDDEN>
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 <83wokvt5d6.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
 <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
 <1160FF62-ABEA-4E36-AB69-D0BBE8959272@HIDDEN>
User-Agent: Alpine 2.20 (LSU 67 2015-01-07)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sorry, I noticed the behaviour is a bit different: it still displays the "Bad 
Signature" error, but it doesn't ask for encoding anymore. So it seems your 
fix helped a bit, but maybe there's a similar problem in the epg package?

I apologize for the confusion.

Ch.

==============================================================================
On Tue, 19 Mar 2019, Eli Zaretskii wrote:
> On March 19, 2019 4:32:39 PM GMT+02:00, Eli Zaretskii <eliz@HIDDEN> wrote:
>> On March 19, 2019 3:06:15 PM GMT+02:00, "E. Choroba"
>> <choroba@HIDDEN> wrote:
>>> Yes, I even tried to recompile the whole Emacs with the patched
>>> package.el to
>>> no avail.
>>>
>>> Maybe it's related to some other changes that happened between 26.1
>>> and the
>>> development version?
>>>
>>> Ch.
>>>
>>>
>> ==============================================================================
>>> On Tue, 19 Mar 2019, Eli Zaretskii wrote:
>>>>> Date: Tue, 19 Mar 2019 12:57:32 +0100 (CET)
>>>>> From: "E. Choroba" <choroba@HIDDEN>
>>>>> cc: 34909 <at> debbugs.gnu.org
>>>>>
>>>>>> The patch is below, should you want to install it locally.
>>>>>
>>>>> Thanks. I tried to apply the patch locally but the error persists
>>> (just
>>>>> running the above mentioned command).
>>>>
>>>> Did you byte-compile package.el after applying the patch?  If not,
>>>> either byte-compile it or load the .el file manually, and then try
>>>> again.
>>>>
>>>> I definitely cannot reproduce the problem after the change,
>> whereas
>>> it
>>>> was 100% reproducible with your recipe before the change.
>>>>
>>
>> Then I'm stumped.  I don't see how any other changes could affect
>> this, but maybe try using package.el from the emacs-26 branch of the
>> Emacs Git repository.
>>
>> If that doesn't fix the problem, either, I guess someone will have to
>> reproduce and tell which code requests coding-system, in addition to
>> what I fixed.
>
> Maybe try emptying your melpa/archive-contents file, perhaps it got corrupted by the buggy code you ran before the fix.
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Mar 2019 15:49:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 11:49:29 2019
Received: from localhost ([127.0.0.1]:50790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6GzX-0008Oi-6d
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 11:49:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <choroba@HIDDEN>) id 1h6GzV-0008ON-D0
 for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 11:49:26 -0400
Received: from lists.gnu.org ([209.51.188.17]:34695)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <choroba@HIDDEN>) id 1h6GzQ-00080s-4m
 for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 11:49:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54741)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <choroba@HIDDEN>) id 1h6GzN-0008EC-WE
 for bug-gnu-emacs@HIDDEN; Tue, 19 Mar 2019 11:49:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <choroba@HIDDEN>) id 1h6GzM-0007vv-Ip
 for bug-gnu-emacs@HIDDEN; Tue, 19 Mar 2019 11:49:17 -0400
Received: from ufal-mail.mff.cuni.cz ([195.113.20.158]:36778)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <choroba@HIDDEN>)
 id 1h6GzM-0007sS-81; Tue, 19 Mar 2019 11:49:16 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTP id 1041A40140E;
 Tue, 19 Mar 2019 16:49:13 +0100 (CET)
Received: from ufal-mail.mff.cuni.cz ([127.0.0.1])
 by localhost (ufal-mail.mff.cuni.cz [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 3ehLu11xxhJi; Tue, 19 Mar 2019 16:49:13 +0100 (CET)
Received: from localhost (localhost.localdomain [127.0.0.1])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTP id E704D401044;
 Tue, 19 Mar 2019 16:49:12 +0100 (CET)
X-Virus-Scanned: amavisd-new at ufal.mff.cuni.cz
Received: from ufal-mail.mff.cuni.cz ([127.0.0.1])
 by localhost (ufal-mail.mff.cuni.cz [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id DIxLebZB1Mow; Tue, 19 Mar 2019 16:49:12 +0100 (CET)
Received: from [10.151.2.119] (gw-prague.gooddata.com [212.47.19.46])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTPSA id C6F9D4010DF;
 Tue, 19 Mar 2019 16:49:12 +0100 (CET)
Date: Tue, 19 Mar 2019 16:49:12 +0100 (CET)
From: "E. Choroba" <choroba@HIDDEN>
X-X-Sender: jan.stepanek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34909: 26.1; Error refreshing packages under language
 environment
In-Reply-To: <1160FF62-ABEA-4E36-AB69-D0BBE8959272@HIDDEN>
Message-ID: <alpine.LSU.2.20.1903191644480.4023@HIDDEN>
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 <83wokvt5d6.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
 <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
 <1160FF62-ABEA-4E36-AB69-D0BBE8959272@HIDDEN>
User-Agent: Alpine 2.20 (LSU 67 2015-01-07)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.113.20.158
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
Cc: 34909 <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sorry, I noticed the behaviour is a bit different: it still displays the "Bad 
Signature" error, but it doesn't ask for encoding anymore. So it seems your 
fix helped a bit, but maybe there's a similar problem in the epg package?

I apologize for the confusion.

Ch.

==============================================================================
On Tue, 19 Mar 2019, Eli Zaretskii wrote:
> On March 19, 2019 4:32:39 PM GMT+02:00, Eli Zaretskii <eliz@HIDDEN> wrote:
>> On March 19, 2019 3:06:15 PM GMT+02:00, "E. Choroba"
>> <choroba@HIDDEN> wrote:
>>> Yes, I even tried to recompile the whole Emacs with the patched
>>> package.el to
>>> no avail.
>>>
>>> Maybe it's related to some other changes that happened between 26.1
>>> and the
>>> development version?
>>>
>>> Ch.
>>>
>>>
>> ==============================================================================
>>> On Tue, 19 Mar 2019, Eli Zaretskii wrote:
>>>>> Date: Tue, 19 Mar 2019 12:57:32 +0100 (CET)
>>>>> From: "E. Choroba" <choroba@HIDDEN>
>>>>> cc: 34909 <at> debbugs.gnu.org
>>>>>
>>>>>> The patch is below, should you want to install it locally.
>>>>>
>>>>> Thanks. I tried to apply the patch locally but the error persists
>>> (just
>>>>> running the above mentioned command).
>>>>
>>>> Did you byte-compile package.el after applying the patch?  If not,
>>>> either byte-compile it or load the .el file manually, and then try
>>>> again.
>>>>
>>>> I definitely cannot reproduce the problem after the change,
>> whereas
>>> it
>>>> was 100% reproducible with your recipe before the change.
>>>>
>>
>> Then I'm stumped.  I don't see how any other changes could affect
>> this, but maybe try using package.el from the emacs-26 branch of the
>> Emacs Git repository.
>>
>> If that doesn't fix the problem, either, I guess someone will have to
>> reproduce and tell which code requests coding-system, in addition to
>> what I fixed.
>
> Maybe try emptying your melpa/archive-contents file, perhaps it got corrupted by the buggy code you ran before the fix.
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Mar 2019 14:58:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 10:58:57 2019
Received: from localhost ([127.0.0.1]:50780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6GCe-00079L-TR
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 10:58:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h6GCc-000796-OA
 for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 10:58:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:59466)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <eliz@HIDDEN>) id 1h6GCW-00048z-Ou
 for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 10:58:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41754)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1h6GCV-0000b2-Hn
 for bug-gnu-emacs@HIDDEN; Tue, 19 Mar 2019 10:58:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED,BAYES_20,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59049)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h6Fxu-00023p-Pa; Tue, 19 Mar 2019 10:43:44 -0400
Received: from [176.12.218.30] (port=38534 helo=[10.208.13.225])
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h6Fxp-0002Yw-TC; Tue, 19 Mar 2019 10:43:38 -0400
Date: Tue, 19 Mar 2019 16:43:33 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 <83wokvt5d6.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
 <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
To: bug-gnu-emacs@HIDDEN,"E. Choroba" <choroba@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <1160FF62-ABEA-4E36-AB69-D0BBE8959272@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
Cc: 34909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On March 19, 2019 4:32:39 PM GMT+02:00, Eli Zaretskii <eliz@gnu=2Eorg> wrot=
e:
> On March 19, 2019 3:06:15 PM GMT+02:00, "E=2E Choroba"
> <choroba@matfyz=2Ecz> wrote:
> > Yes, I even tried to recompile the whole Emacs with the patched
> > package=2Eel to=20
> > no avail=2E
> >=20
> > Maybe it's related to some other changes that happened between 26=2E1
> > and the=20
> > development version?
> >=20
> > Ch=2E
> >=20
> >
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D
> > On Tue, 19 Mar 2019, Eli Zaretskii wrote:
> > >> Date: Tue, 19 Mar 2019 12:57:32 +0100 (CET)
> > >> From: "E=2E Choroba" <choroba@matfyz=2Ecz>
> > >> cc: 34909@debbugs=2Egnu=2Eorg
> > >>
> > >>> The patch is below, should you want to install it locally=2E
> > >>
> > >> Thanks=2E I tried to apply the patch locally but the error persists
> > (just
> > >> running the above mentioned command)=2E
> > >
> > > Did you byte-compile package=2Eel after applying the patch?  If not,
> > > either byte-compile it or load the =2Eel file manually, and then try
> > > again=2E
> > >
> > > I definitely cannot reproduce the problem after the change,
> whereas
> > it
> > > was 100% reproducible with your recipe before the change=2E
> > >
>=20
> Then I'm stumped=2E  I don't see how any other changes could affect
> this, but maybe try using package=2Eel from the emacs-26 branch of the
> Emacs Git repository=2E
>=20
> If that doesn't fix the problem, either, I guess someone will have to
> reproduce and tell which code requests coding-system, in addition to
> what I fixed=2E

Maybe try emptying your melpa/archive-contents file, perhaps it got corrup=
ted by the buggy code you ran before the fix=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 14:43:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 10:43:55 2019
Received: from localhost ([127.0.0.1]:50761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6Fy6-0006lp-Tt
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 10:43:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h6Fy5-0006lb-Em
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 10:43:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59049)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h6Fxu-00023p-Pa; Tue, 19 Mar 2019 10:43:44 -0400
Received: from [176.12.218.30] (port=38534 helo=[10.208.13.225])
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h6Fxp-0002Yw-TC; Tue, 19 Mar 2019 10:43:38 -0400
Date: Tue, 19 Mar 2019 16:43:33 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 <83wokvt5d6.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
 <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
To: bug-gnu-emacs@HIDDEN,"E. Choroba" <choroba@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <1160FF62-ABEA-4E36-AB69-D0BBE8959272@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On March 19, 2019 4:32:39 PM GMT+02:00, Eli Zaretskii <eliz@gnu=2Eorg> wrot=
e:
> On March 19, 2019 3:06:15 PM GMT+02:00, "E=2E Choroba"
> <choroba@matfyz=2Ecz> wrote:
> > Yes, I even tried to recompile the whole Emacs with the patched
> > package=2Eel to=20
> > no avail=2E
> >=20
> > Maybe it's related to some other changes that happened between 26=2E1
> > and the=20
> > development version?
> >=20
> > Ch=2E
> >=20
> >
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D
> > On Tue, 19 Mar 2019, Eli Zaretskii wrote:
> > >> Date: Tue, 19 Mar 2019 12:57:32 +0100 (CET)
> > >> From: "E=2E Choroba" <choroba@matfyz=2Ecz>
> > >> cc: 34909@debbugs=2Egnu=2Eorg
> > >>
> > >>> The patch is below, should you want to install it locally=2E
> > >>
> > >> Thanks=2E I tried to apply the patch locally but the error persists
> > (just
> > >> running the above mentioned command)=2E
> > >
> > > Did you byte-compile package=2Eel after applying the patch?  If not,
> > > either byte-compile it or load the =2Eel file manually, and then try
> > > again=2E
> > >
> > > I definitely cannot reproduce the problem after the change,
> whereas
> > it
> > > was 100% reproducible with your recipe before the change=2E
> > >
>=20
> Then I'm stumped=2E  I don't see how any other changes could affect
> this, but maybe try using package=2Eel from the emacs-26 branch of the
> Emacs Git repository=2E
>=20
> If that doesn't fix the problem, either, I guess someone will have to
> reproduce and tell which code requests coding-system, in addition to
> what I fixed=2E

Maybe try emptying your melpa/archive-contents file, perhaps it got corrup=
ted by the buggy code you ran before the fix=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 14:32:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 10:32:56 2019
Received: from localhost ([127.0.0.1]:50756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6FnT-0006V0-RQ
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 10:32:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h6FnS-0006Ul-0b
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 10:32:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58856)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h6FnJ-0002H2-Qp; Tue, 19 Mar 2019 10:32:47 -0400
Received: from [176.12.218.30] (port=38587 helo=[10.208.13.225])
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h6FnH-0001WF-Jf; Tue, 19 Mar 2019 10:32:45 -0400
Date: Tue, 19 Mar 2019 16:32:39 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 <83wokvt5d6.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
To: "E. Choroba" <choroba@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <3BC71455-9E98-442B-ACD2-F8192A199810@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On March 19, 2019 3:06:15 PM GMT+02:00, "E=2E Choroba" <choroba@matfyz=2Ecz=
> wrote:
> Yes, I even tried to recompile the whole Emacs with the patched
> package=2Eel to=20
> no avail=2E
>=20
> Maybe it's related to some other changes that happened between 26=2E1
> and the=20
> development version?
>=20
> Ch=2E
>=20
> =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D
> On Tue, 19 Mar 2019, Eli Zaretskii wrote:
> >> Date: Tue, 19 Mar 2019 12:57:32 +0100 (CET)
> >> From: "E=2E Choroba" <choroba@matfyz=2Ecz>
> >> cc: 34909@debbugs=2Egnu=2Eorg
> >>
> >>> The patch is below, should you want to install it locally=2E
> >>
> >> Thanks=2E I tried to apply the patch locally but the error persists
> (just
> >> running the above mentioned command)=2E
> >
> > Did you byte-compile package=2Eel after applying the patch?  If not,
> > either byte-compile it or load the =2Eel file manually, and then try
> > again=2E
> >
> > I definitely cannot reproduce the problem after the change, whereas
> it
> > was 100% reproducible with your recipe before the change=2E
> >

Then I'm stumped=2E  I don't see how any other changes could affect this, =
but maybe try using package=2Eel from the emacs-26 branch of the Emacs Git =
repository=2E

If that doesn't fix the problem, either, I guess someone will have to repr=
oduce and tell which code requests coding-system, in addition to what I fix=
ed=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 13:06:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 09:06:25 2019
Received: from localhost ([127.0.0.1]:49690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6ERl-00025T-Eo
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 09:06:25 -0400
Received: from ufal-mail.mff.cuni.cz ([195.113.20.158]:41236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <choroba@HIDDEN>) id 1h6ERh-00025D-8O
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 09:06:24 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTP id 91DB512775C;
 Tue, 19 Mar 2019 14:06:15 +0100 (CET)
Received: from ufal-mail.mff.cuni.cz ([127.0.0.1])
 by localhost (ufal-mail.mff.cuni.cz [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id q9bLZl1aFbQY; Tue, 19 Mar 2019 14:06:15 +0100 (CET)
Received: from localhost (localhost.localdomain [127.0.0.1])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTP id 771571289D7;
 Tue, 19 Mar 2019 14:06:15 +0100 (CET)
X-Virus-Scanned: amavisd-new at ufal.mff.cuni.cz
Received: from ufal-mail.mff.cuni.cz ([127.0.0.1])
 by localhost (ufal-mail.mff.cuni.cz [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id MfSsrAxePa6K; Tue, 19 Mar 2019 14:06:15 +0100 (CET)
Received: from [10.151.2.119] (gw-prague.gooddata.com [212.47.19.46])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTPSA id 5A4D2128C44;
 Tue, 19 Mar 2019 14:06:15 +0100 (CET)
Date: Tue, 19 Mar 2019 14:06:15 +0100 (CET)
From: "E. Choroba" <choroba@HIDDEN>
X-X-Sender: jan.stepanek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34909: 26.1; Error refreshing packages under language
 environment
In-Reply-To: <83wokvt5d6.fsf@HIDDEN>
Message-ID: <alpine.LSU.2.20.1903191402060.4023@HIDDEN>
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 <83wokvt5d6.fsf@HIDDEN>
User-Agent: Alpine 2.20 (LSU 67 2015-01-07)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Yes, I even tried to recompile the whole Emacs with the patched package.el to 
no avail.

Maybe it's related to some other changes that happened between 26.1 and the 
development version?

Ch.

==============================================================================
On Tue, 19 Mar 2019, Eli Zaretskii wrote:
>> Date: Tue, 19 Mar 2019 12:57:32 +0100 (CET)
>> From: "E. Choroba" <choroba@HIDDEN>
>> cc: 34909 <at> debbugs.gnu.org
>>
>>> The patch is below, should you want to install it locally.
>>
>> Thanks. I tried to apply the patch locally but the error persists (just
>> running the above mentioned command).
>
> Did you byte-compile package.el after applying the patch?  If not,
> either byte-compile it or load the .el file manually, and then try
> again.
>
> I definitely cannot reproduce the problem after the change, whereas it
> was 100% reproducible with your recipe before the change.
>




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 12:29:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 08:29:25 2019
Received: from localhost ([127.0.0.1]:49671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6Drx-0001Bo-0z
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 08:29:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53261)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h6Drv-0001Bb-94
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 08:29:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49769)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h6Dro-00056u-Px; Tue, 19 Mar 2019 08:29:16 -0400
Received: from [176.228.60.248] (port=1215 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h6Drn-0004Vp-Fp; Tue, 19 Mar 2019 08:29:16 -0400
Date: Tue, 19 Mar 2019 14:29:09 +0200
Message-Id: <83wokvt5d6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "E. Choroba" <choroba@HIDDEN>
In-reply-to: <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
 (choroba@HIDDEN)
Subject: Re: bug#34909: 26.1; Error refreshing packages under language
 environment
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
 <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Tue, 19 Mar 2019 12:57:32 +0100 (CET)
> From: "E. Choroba" <choroba@HIDDEN>
> cc: 34909 <at> debbugs.gnu.org
> 
> > The patch is below, should you want to install it locally.
> 
> Thanks. I tried to apply the patch locally but the error persists (just 
> running the above mentioned command).

Did you byte-compile package.el after applying the patch?  If not,
either byte-compile it or load the .el file manually, and then try
again.

I definitely cannot reproduce the problem after the change, whereas it
was 100% reproducible with your recipe before the change.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 11:57:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 07:57:50 2019
Received: from localhost ([127.0.0.1]:49654 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6DNO-0000SP-1Q
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 07:57:50 -0400
Received: from ufal-mail.mff.cuni.cz ([195.113.20.158]:42394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <choroba@HIDDEN>) id 1h6DNM-0000Rz-1W
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 07:57:48 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTP id 51B3940C0FF;
 Tue, 19 Mar 2019 12:57:42 +0100 (CET)
Received: from ufal-mail.mff.cuni.cz ([127.0.0.1])
 by localhost (ufal-mail.mff.cuni.cz [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id M8kOQr5s5WS7; Tue, 19 Mar 2019 12:57:42 +0100 (CET)
Received: from localhost (localhost.localdomain [127.0.0.1])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTP id 385E340BF5A;
 Tue, 19 Mar 2019 12:57:42 +0100 (CET)
X-Virus-Scanned: amavisd-new at ufal.mff.cuni.cz
Received: from ufal-mail.mff.cuni.cz ([127.0.0.1])
 by localhost (ufal-mail.mff.cuni.cz [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id xvXvIIlFVTsE; Tue, 19 Mar 2019 12:57:42 +0100 (CET)
Received: from [10.151.2.119] (gw-prague.gooddata.com [212.47.19.46])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTPSA id 0FCEA40C385;
 Tue, 19 Mar 2019 12:57:42 +0100 (CET)
Date: Tue, 19 Mar 2019 12:57:32 +0100 (CET)
From: "E. Choroba" <choroba@HIDDEN>
X-X-Sender: jan.stepanek@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#34909: 26.1; Error refreshing packages under language
 environment
In-Reply-To: <83zhprt8eo.fsf@HIDDEN>
Message-ID: <alpine.LSU.2.20.1903191255020.4023@HIDDEN>
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 <83zhprt8eo.fsf@HIDDEN>
User-Agent: Alpine 2.20 (LSU 67 2015-01-07)
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=US-ASCII
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> The patch is below, should you want to install it locally.

Thanks. I tried to apply the patch locally but the error persists (just 
running the above mentioned command).

Ch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at 34909 <at> debbugs.gnu.org:


Received: (at 34909) by debbugs.gnu.org; 19 Mar 2019 11:23:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 07:23:44 2019
Received: from localhost ([127.0.0.1]:49642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h6CqN-00065K-Qc
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2019 07:23:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41719)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1h6CqM-000655-3R
 for 34909 <at> debbugs.gnu.org; Tue, 19 Mar 2019 07:23:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57183)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1h6CqE-0002BC-KF; Tue, 19 Mar 2019 07:23:34 -0400
Received: from [176.228.60.248] (port=1109 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1h6CqE-0004Q0-3x; Tue, 19 Mar 2019 07:23:34 -0400
Date: Tue, 19 Mar 2019 13:23:27 +0200
Message-Id: <83zhprt8eo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "E. Choroba" <choroba@HIDDEN>
In-reply-to: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
 (choroba@HIDDEN)
Subject: Re: bug#34909: 26.1;
 Error refreshing packages under language environment
References: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34909
Cc: 34909 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Mon, 18 Mar 2019 22:32:58 +0100 (CET)
> From: "E. Choroba" <choroba@HIDDEN>
> 
> When melpa is included in the package archives and the package list is
> being updated, the result depends on the language environment. Under
> "English", everything works OK:
> 
> emacs -Q --eval '(progn (set-language-environment "English")(require (quote package))(add-to-list (quote package-archives) (quote ("melpa" . "http://melpa.org/packages/")))(package-list-packages))'
> 
> When the environment is set to "French" or "Czech", though, it fails with
> 
> Failed to verify signature archive-contents.sig:
> Bad signature from 474F05837FBDEF9B GNU ELPA Signing Agent <elpasign@HIDDEN>
> Command output:
> gpg: Signature made Mon 18 Mar 2019 10:10:04 PM CET using DSA key ID 7FBDEF9B
> gpg: BAD signature from "GNU ELPA Signing Agent <elpasign@HIDDEN>" [unknown]
> 
> At the same time, it asks for encoding:

Thanks, this should be fixed now on the release branch.

The patch is below, should you want to install it locally.

diff --git a/lisp/emacs-lisp/package.el b/lisp/emacs-lisp/package.el
index 3118e38..1a185de 100644
--- a/lisp/emacs-lisp/package.el
+++ b/lisp/emacs-lisp/package.el
@@ -1538,14 +1538,16 @@ package--download-one-archive
                 (member name package-unsigned-archives))
             ;; If we don't care about the signature, save the file and
             ;; we're done.
-            (progn (write-region content nil local-file nil 'silent)
+            (progn (let ((coding-system-for-write 'utf-8))
+                     (write-region content nil local-file nil 'silent))
                    (package--update-downloads-in-progress archive))
           ;; If we care, check it (perhaps async) and *then* write the file.
           (package--check-signature
            location file content async
            ;; This function will be called after signature checking.
            (lambda (&optional good-sigs)
-             (write-region content nil local-file nil 'silent)
+             (let ((coding-system-for-write 'utf-8))
+               (write-region content nil local-file nil 'silent))
              ;; Write out good signatures into archive-contents.signed file.
              (when good-sigs
                (write-region (mapconcat #'epg-signature-to-string good-sigs "\n")
@@ -3425,6 +3427,9 @@ list-packages
   ;; Generate the Package Menu.
   (let ((buf (get-buffer-create "*Packages*")))
     (with-current-buffer buf
+      ;; Since some packages have their descriptions include non-ASCII
+      ;; characters...
+      (setq buffer-file-coding-system 'utf-8)
       (package-menu-mode)
 
       ;; Fetch the remote list of packages.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Mar 2019 21:33:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 18 17:33:20 2019
Received: from localhost ([127.0.0.1]:49281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h5zsk-0006nU-OB
	for submit <at> debbugs.gnu.org; Mon, 18 Mar 2019 17:33:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <choroba@HIDDEN>) id 1h5zsj-0006nG-HM
 for submit <at> debbugs.gnu.org; Mon, 18 Mar 2019 17:33:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:39442)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <choroba@HIDDEN>) id 1h5zse-000788-7f
 for submit <at> debbugs.gnu.org; Mon, 18 Mar 2019 17:33:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37027)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <choroba@HIDDEN>) id 1h5zsd-0006WU-0B
 for bug-gnu-emacs@HIDDEN; Mon, 18 Mar 2019 17:33:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <choroba@HIDDEN>) id 1h5zsb-00075H-Ty
 for bug-gnu-emacs@HIDDEN; Mon, 18 Mar 2019 17:33:10 -0400
Received: from ufal-mail.mff.cuni.cz ([195.113.20.158]:44274)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <choroba@HIDDEN>) id 1h5zsb-0006zO-D4
 for bug-gnu-emacs@HIDDEN; Mon, 18 Mar 2019 17:33:09 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTP id 0E3443FF71C
 for <bug-gnu-emacs@HIDDEN>; Mon, 18 Mar 2019 22:33:05 +0100 (CET)
Received: from ufal-mail.mff.cuni.cz ([127.0.0.1])
 by localhost (ufal-mail.mff.cuni.cz [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id Fewv0ubMXuI9 for <bug-gnu-emacs@HIDDEN>;
 Mon, 18 Mar 2019 22:33:04 +0100 (CET)
Received: from localhost (localhost.localdomain [127.0.0.1])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTP id E64CB3FF2E2
 for <bug-gnu-emacs@HIDDEN>; Mon, 18 Mar 2019 22:33:04 +0100 (CET)
X-Virus-Scanned: amavisd-new at ufal.mff.cuni.cz
Received: from ufal-mail.mff.cuni.cz ([127.0.0.1])
 by localhost (ufal-mail.mff.cuni.cz [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id O7ONsfMat-Ou for <bug-gnu-emacs@HIDDEN>;
 Mon, 18 Mar 2019 22:33:04 +0100 (CET)
Received: from [192.168.0.100] (unknown [217.30.64.210])
 by ufal-mail.mff.cuni.cz (Postfix) with ESMTPSA id BC7623FF265
 for <bug-gnu-emacs@HIDDEN>; Mon, 18 Mar 2019 22:33:04 +0100 (CET)
Date: Mon, 18 Mar 2019 22:32:58 +0100 (CET)
From: "E. Choroba" <choroba@HIDDEN>
X-X-Sender: choroba@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; Error refreshing packages under language environment
Message-ID: <alpine.LSU.2.20.1903182231470.3369@HIDDEN>
User-Agent: Alpine 2.20 (LSU 67 2015-01-07)
MIME-Version: 1.0
Content-Type: multipart/mixed; BOUNDARY="8323328-76977465-1552944784=:3369"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 195.113.20.158
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--8323328-76977465-1552944784=:3369
Content-Type: text/plain; format=flowed; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

--text follows this line--

When melpa is included in the package archives and the package list is
being updated, the result depends on the language environment. Under
"English", everything works OK:

emacs -Q --eval '(progn (set-language-environment "English")(require (quo=
te package))(add-to-list (quote package-archives) (quote ("melpa" . "http=
://melpa.org/packages/")))(package-list-packages))'

When the environment is set to "French" or "Czech", though, it fails with

Failed to verify signature archive-contents.sig:
Bad signature from 474F05837FBDEF9B GNU ELPA Signing Agent <elpasign@elpa=
.gnu.org>
Command output:
gpg: Signature made Mon 18 Mar 2019 10:10:04 PM CET using DSA key ID 7FBD=
EF9B
gpg: BAD signature from "GNU ELPA Signing Agent <elpasign@HIDDEN>" =
[unknown]

At the same time, it asks for encoding:

These default coding systems were tried to encode "
(1 (zzz-t...":
   (iso-latin-2-unix (13884 . 37326) (13885 . 40165) (32038 . 248)
   (32095 . 248) (39468 . 234) (39539 . 234) (71321 . 248) (71399 .
   248) (71700 . 248) (71778 . 248) (72084 . 248))
However, each of them encountered characters it couldn=E2=80=99t encode:
   iso-latin-2-unix cannot encode these: =E9=87=8E =E9=B3=A5 =C3=B8 =C3=B8=
 =C3=AA =C3=AA =C3=B8 =C3=B8 =C3=B8 =C3=B8 ...

Click on a character (or switch to this window by =E2=80=98C-x o=E2=80=99
and select the characters by RET) to jump to the place it appears,
where =E2=80=98C-u C-x =3D=E2=80=99 will give information about it.

Select one of the safe coding systems listed below,
or cancel the writing with C-g and edit the buffer
    to remove or modify the problematic characters,
or specify any other coding system (and risk losing
    the problematic characters).

   utf-8 gb18030 utf-7 utf-16 utf-16be-with-signature
   utf-16le-with-signature utf-16be utf-16le iso-2022-7bit utf-8-auto
   utf-8-with-signature utf-7-imap utf-8-emacs prefer-utf-8

Choroba

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, Motif Version 2.3.4)
  of 2018-09-10 built on still
Windowing system distributor 'The X.Org Foundation', version 11.0.1180300=
0
System Description:	openSUSE Leap 42.3

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
user-error: Beginning of history; no preceding item [2 times]
user-error: End of history; no default available

Configured using:
  'configure --with-kerberos5=3Dyes --with-x-toolkit=3Dmotif --with-x=3Dy=
es'

Configured features:
XPM JPEG TIFF GIF PNG SOUND DBUS GSETTINGS NOTIFY GNUTLS LIBXML2
FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS MOTIF X11 THREADS

Important settings:
   value of $LANG: en_US.UTF-8
   value of $XMODIFIERS: @im=3Dlocal
   locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils elec-pair time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify
dynamic-setting system-font-setting font-render-setting motif x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 95003 9709)
  (symbols 48 20225 1)
  (miscs 40 41 143)
  (strings 32 28261 1189)
  (string-bytes 1 743314)
  (vectors 16 13966)
  (vector-slots 8 491676 10904)
  (floats 8 51 66)
  (intervals 56 225 0)
  (buffers 992 11)
  (heap 1024 37756 1009))
--8323328-76977465-1552944784=:3369--




Acknowledgement sent to "E. Choroba" <choroba@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34909; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.